import _extends from "@babel/runtime/helpers/esm/extends";

/**
 * Base class for the component
 */
export var BASE_CLASS = 'sui-AtomActionButton';
/**
 * Available colors for the Action Button
 */

export var COLORS = {
  PRIMARY: 'primary',
  ACCENT: 'accent',
  NEUTRAL: 'neutral'
};
/**
 * Available modifiers for the Action Button
 */

export var MODIFIERS = {
  ACTIVE_FOCUSED: 'active',
  DISABLED: 'disabled',
  LINK: 'link'
};
/**
 * Available sizes for the Action Button
 */

export var SIZES = {
  SMALL: 'small',
  MEDIUM: 'medium',
  LARGE: 'large'
};
/**
 * Available styles for the Action Button
 */

export var STYLES = {
  FILLED_NEGATIVE: 'filledNegative',
  FILLED_POSITIVE: 'filledPositive',
  OUTLINE: 'outline',
  FLAT: 'flat'
};
export var createClasses = function createClasses(array, sufix) {
  if (sufix === void 0) {
    sufix = '';
  }

  return array.reduce(function (res, key) {
    var _extends2;

    return _extends({}, res, (_extends2 = {}, _extends2[key] = BASE_CLASS + "--" + key + sufix, _extends2));
  }, {});
};
export var CLASSES = createClasses([].concat(Object.values(SIZES), Object.values(STYLES), Object.values(MODIFIERS)));
export var COLOR_CLASSES = createClasses([].concat(Object.values(COLORS)), 'Color');