import _extends from "@babel/runtime/helpers/esm/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/esm/objectWithoutPropertiesLoose";
var _excluded = ["children", "className", "color", "disabled", "focused", "href", "icon", "isButton", "isSubmit", "link", "linkFactory", "size", "style", "target", "title"];
import cx from 'classnames';
import PropTypes from 'prop-types';
import AtomIcon, { ATOM_ICON_COLORS, ATOM_ICON_SIZES } from '@s-ui/react-atom-icon';
import { BASE_CLASS, CLASSES, COLOR_CLASSES, COLORS, MODIFIERS, SIZES, STYLES } from './config.js';
import ActionButtonWrapper from './ActionButtonWrapper.js';
import { jsx as _jsx } from "react/jsx-runtime";
import { jsxs as _jsxs } from "react/jsx-runtime";

var AtomActionButton = function AtomActionButton(_ref) {
  var children = _ref.children,
      className = _ref.className,
      _ref$color = _ref.color,
      color = _ref$color === void 0 ? COLORS.PRIMARY : _ref$color,
      disabled = _ref.disabled,
      focused = _ref.focused,
      href = _ref.href,
      icon = _ref.icon,
      isButton = _ref.isButton,
      isSubmit = _ref.isSubmit,
      link = _ref.link,
      linkFactory = _ref.linkFactory,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? SIZES.MEDIUM : _ref$size,
      _ref$style = _ref.style,
      style = _ref$style === void 0 ? STYLES.FILLED_NEGATIVE : _ref$style,
      target = _ref.target,
      title = _ref.title,
      restProps = _objectWithoutPropertiesLoose(_ref, _excluded);

  var classNames = cx(BASE_CLASS, COLOR_CLASSES[color], CLASSES[style], CLASSES[size], focused && CLASSES[MODIFIERS.ACTIVE_FOCUSED], disabled && CLASSES[MODIFIERS.DISABLED], link && CLASSES[MODIFIERS.LINK], className);

  var buttonProps = _extends({
    href: href,
    isButton: isButton,
    isSubmit: isSubmit,
    link: link,
    linkFactory: linkFactory,
    target: target,
    title: title
  }, restProps);

  return /*#__PURE__*/_jsxs(ActionButtonWrapper, _extends({}, buttonProps, {
    className: classNames,
    children: [/*#__PURE__*/_jsx("div", {
      className: BASE_CLASS + "-icon",
      children: /*#__PURE__*/_jsx(AtomIcon, {
        size: ATOM_ICON_SIZES.medium,
        color: ATOM_ICON_COLORS.currentColor,
        children: icon
      })
    }), /*#__PURE__*/_jsx("div", {
      className: BASE_CLASS + "-text",
      children: children
    })]
  }));
};

AtomActionButton.displayName = 'AtomActionButton';
export default AtomActionButton;
export { COLORS as atomActionButtonColors };
export { SIZES as atomActionButtonSizes };
export { STYLES as atomActionButtonStyles };